=== modified file 'drizzled/statement/create_index.cc'
--- drizzled/statement/create_index.cc	2009-09-22 16:51:28 +0000
+++ drizzled/statement/create_index.cc	2009-09-22 22:45:50 +0000
@@ -37,8 +37,6 @@
     only add indexes and create these one by one for the existing
     table without having to do a full rebuild.
   */
-  /* Prepare stack copies to be re-execution safe */
-  HA_CREATE_INFO create_info;
 
   assert(first_table == all_tables && first_table != 0);
   if (! session->endActiveTransaction())
@@ -46,8 +44,6 @@
     return true;
   }
 
-  memset(&create_info, 0, sizeof(create_info));
-  create_info.db_type= 0;
   create_info.row_type= ROW_TYPE_NOT_USED;
   create_info.default_table_charset= get_default_db_collation(session->db);
 

=== modified file 'drizzled/statement/create_index.h'
--- drizzled/statement/create_index.h	2009-09-22 19:14:43 +0000
+++ drizzled/statement/create_index.h	2009-09-22 22:45:50 +0000
@@ -21,7 +21,7 @@
 #ifndef DRIZZLED_STATEMENT_CREATE_INDEX_H
 #define DRIZZLED_STATEMENT_CREATE_INDEX_H
 
-#include <drizzled/statement.h>
+#include <drizzled/statement/create_table.h>
 
 class Session;
 
@@ -30,17 +30,15 @@
 namespace statement
 {
 
-class CreateIndex : public Statement
+class CreateIndex : public CreateTable
 {
 public:
   CreateIndex(Session *in_session)
     :
-      Statement(in_session)
+      CreateTable(in_session)
   {}
 
   bool execute();
-  drizzled::message::Table create_table_proto;
-  AlterInfo alter_info;
 };
 
 } /* end namespace statement */

